Monday, July 12, 2021

MediaWiki: Incorrect Authorization (CVE-2021-36132)

Description
An issue was discovered in the FileImporter extension in MediaWiki through 1.36. For certain relaxed configurations of the $wgFileImporterRequiredRight variable, it might not validate all appropriate user rights, thus allowing a user with insufficient rights to perform operations (specifically file uploads) that they should not be allowed to perform.
Solution(s)
  • mediawiki-upgrade-latest


  • References
  • https://attackerkb.com/topics/cve-2021-36132
  • CVE - 2021-36132
  • https://gerrit.wikimedia.org/r/q/I8ff2a67abd2c118a3469e4410eac2a451bfa76c3
  • https://phabricator.wikimedia.org/T280590




  •  

    Copyright © 2020 Cyber Details - Vulnerability Database™

    Thanks for everything Templateism - You should have written the code a little more complicated